Bug 30000 - Replace the use of jQueryUI tabs on the search engine configuration page
Summary: Replace the use of jQueryUI tabs on the search engine configuration page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 29893 29277
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-02-01 17:11 UTC by Owen Leonard
Modified: 2022-03-25 14:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page (1.93 KB, patch)
2022-03-18 14:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page (44.13 KB, patch)
2022-03-23 15:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page (44.19 KB, patch)
2022-03-23 21:53 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page (44.28 KB, patch)
2022-03-24 08:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-02-01 17:11:06 UTC
As part of Bug 29226, "OMNIBUS: Replace the use of jQueryUI tabs," we should replace the use of the jQueryUI tabs component on the search engine configuration  (Elasticsearch) page.
Comment 1 Marcel de Rooy 2022-02-03 15:36:04 UTC
Great bug number !
Comment 2 Owen Leonard 2022-03-18 14:55:26 UTC
Created attachment 131916 [details] [review]
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page

This patch replaces jQueryUI tabs on the search engine configuration
page, replacing them with Bootstrap tabs.

To test, apply the patch and go to Administration -> Search engine
configuration.

- The "Search fields" tab should be selected by default, and the table
  should be initialized as a DataTable with sorting and filtering.
- When you switch to the "Bibliographic records" and "Authorities" tabs
  the tables on those tabs should also be initialized, each with
  filtering and drag-and-drop row re-ordering.
- All tables should continue to work correctly after switching back and
  forth between tabs.
Comment 3 Jonathan Druart 2022-03-21 15:17:26 UTC
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/js/elasticsearch-mappings.js).
Comment 4 Owen Leonard 2022-03-23 15:13:02 UTC
Created attachment 132055 [details] [review]
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page

This patch replaces jQueryUI tabs on the search engine configuration
page, replacing them with Bootstrap tabs.

To test, apply the patch and go to Administration -> Search engine
configuration.

- The "Search fields" tab should be selected by default, and the table
  should be initialized as a DataTable with sorting and filtering.
- When you switch to the "Bibliographic records" and "Authorities" tabs
  the tables on those tabs should also be initialized, each with
  filtering and drag-and-drop row re-ordering.
- All tables should continue to work correctly after switching back and
  forth between tabs.
Comment 5 Lucas Gass 2022-03-23 21:53:39 UTC
Created attachment 132093 [details] [review]
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page

This patch replaces jQueryUI tabs on the search engine configuration
page, replacing them with Bootstrap tabs.

To test, apply the patch and go to Administration -> Search engine
configuration.

- The "Search fields" tab should be selected by default, and the table
  should be initialized as a DataTable with sorting and filtering.
- When you switch to the "Bibliographic records" and "Authorities" tabs
  the tables on those tabs should also be initialized, each with
  filtering and drag-and-drop row re-ordering.
- All tables should continue to work correctly after switching back and
  forth between tabs.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Jonathan Druart 2022-03-24 08:28:27 UTC
Created attachment 132103 [details] [review]
Bug 30000: Replace the use of jQueryUI tabs on the search engine configuration page

This patch replaces jQueryUI tabs on the search engine configuration
page, replacing them with Bootstrap tabs.

To test, apply the patch and go to Administration -> Search engine
configuration.

- The "Search fields" tab should be selected by default, and the table
  should be initialized as a DataTable with sorting and filtering.
- When you switch to the "Bibliographic records" and "Authorities" tabs
  the tables on those tabs should also be initialized, each with
  filtering and drag-and-drop row re-ordering.
- All tables should continue to work correctly after switching back and
  forth between tabs.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2022-03-24 08:28:46 UTC
Adjusted on top of bug 29893.
Comment 8 Fridolin Somers 2022-03-25 00:25:25 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄